> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consumptions Dashboard

> Get a summary of consumptions filtered by company, date range, categories, buildings and entities (vehicle, invoice, survey answer...).



## OpenAPI

````yaml /openapi.json get /api/v1/consumptions/dashboard
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/consumptions/dashboard:
    get:
      tags:
        - consumptions
      summary: Get Consumptions Dashboard
      description: >-
        Get a summary of consumptions filtered by company, date range,
        categories, buildings and entities (vehicle, invoice, survey answer...).
      parameters:
        - name: companyId
          in: query
          description: CompanyId
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          example: '2025-01-01'
          required: false
          schema:
            type: string
            format: date
        - name: endDate
          in: query
          example: '2025-01-31'
          required: false
          schema:
            type: string
            format: date
        - name: categoryIds
          in: query
          description: List of category id
          required: false
          schema:
            type: array
            items:
              type: string
        - name: buildingIds
          in: query
          description: List of building id
          required: false
          schema:
            type: array
            items:
              type: string
        - name: entityIds
          in: query
          description: List of entity id (vehicleId, invoiceId, surveyAnswerId)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: hasCountries
          in: query
          description: Include country-level data
          required: false
          schema:
            type: boolean
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Maximum number of items per page
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: A summary of consumptions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionsDashboard'
components:
  schemas:
    ConsumptionsDashboard:
      allOf:
        - $ref: '#/components/schemas/Dashboard'
        - type: object
          properties:
            building:
              type: object
              properties:
                '[ buildingId: string ]':
                  type: object
                  properties:
                    totalEmissions:
                      type: number
                    count:
                      type: integer
                    totalCost:
                      type: number
            company:
              type: object
              properties:
                '[ companyId: string ]':
                  type: object
                  properties:
                    totalEmissions:
                      type: number
                    count:
                      type: integer
                    totalCost:
                      type: number
                    vehicleType:
                      type: object
                      properties:
                        '[ vehicleType: string ]':
                          type: object
                          properties:
                            totalEmissions:
                              type: number
                            count:
                              type: integer
                            tonnes:
                              type: number
                            quantity:
                              type: number
                    supplier:
                      type: object
                      properties:
                        '[ supplierId: string ]':
                          type: object
                          properties:
                            totalEmissions:
                              type: number
                            count:
                              type: integer
                            tonnes:
                              type: number
                            quantity:
                              type: number
            entity:
              type: object
              properties:
                '[ entityId: string ]':
                  type: object
                  properties:
                    totalEmissions:
                      type: number
                    count:
                      type: integer
                    totalCost:
                      type: number
            vehicleType:
              type: object
              properties:
                '[ vehicleType: string ]':
                  type: object
                  properties:
                    totalEmissions:
                      type: number
                    count:
                      type: integer
                    tonnes:
                      type: number
                    quantity:
                      type: number
            supplier:
              type: object
              properties:
                '[ supplierId: string ]':
                  type: object
                  properties:
                    totalEmissions:
                      type: number
                    count:
                      type: integer
                    tonnes:
                      type: number
                    quantity:
                      type: number
            totalEmissions:
              type: number
            count:
              type: integer
            totalCost:
              type: number
            quantity:
              type: number
            tonnes:
              type: number
            monthly:
              type: object
              properties:
                '[ month: string ]':
                  type: object
                  properties:
                    vehicleType:
                      type: object
                      properties:
                        '[ vehicleType: string ]':
                          type: object
                          properties:
                            totalEmissions:
                              type: number
                            count:
                              type: integer
                            tonnes:
                              type: number
                            quantity:
                              type: number
                    supplier:
                      type: object
                      properties:
                        '[ supplierId: string ]':
                          type: object
                          properties:
                            totalEmissions:
                              type: number
                            count:
                              type: integer
                            tonnes:
                              type: number
                            quantity:
                              type: number
    Dashboard:
      type: object
      properties:
        monthly:
          type: object
          properties:
            '[ month: string ]':
              type: object
              description: A summary of the monthly dashboard.
        company:
          type: object
          properties:
            '[ companyId: string ]':
              type: number
              description: A summary of the company dashboard.
        building:
          type: object
          properties:
            '[ buildingId: string ]':
              type: number
              description: A summary of the building dashboard.
        category:
          type: object
          properties:
            '[ categoryCode: string ]':
              type: object
              description: A summary of the category dashboard.
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````